<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.gmock_class_test.GenerateMethodsTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1gmock__class__test_1_1GenerateMethodsTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">cpp.gmock_class_test.GenerateMethodsTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.gmock_class_test.GenerateMethodsTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1gmock__class__test_1_1GenerateMethodsTest__inherit__graph.svg" width="240" height="202"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.gmock_class_test.GenerateMethodsTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1gmock__class__test_1_1GenerateMethodsTest__coll__graph.svg" width="240" height="202"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3ece43a88823e3fe1b4731819505bd61"><td class="memItemLeft" align="right" valign="top"><a id="a3ece43a88823e3fe1b4731819505bd61"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testSimpleMethod</b> (self)</td></tr>
<tr class="separator:a3ece43a88823e3fe1b4731819505bd61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0adf9fa7afd25d63964a9075af1414"><td class="memItemLeft" align="right" valign="top"><a id="abb0adf9fa7afd25d63964a9075af1414"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testSimpleConstructorsAndDestructor</b> (self)</td></tr>
<tr class="separator:abb0adf9fa7afd25d63964a9075af1414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3095f7046a089b3c8a13e7e8161a2ab2"><td class="memItemLeft" align="right" valign="top"><a id="a3095f7046a089b3c8a13e7e8161a2ab2"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testVirtualDestructor</b> (self)</td></tr>
<tr class="separator:a3095f7046a089b3c8a13e7e8161a2ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2a15e9eb43aff0fec7e89a81c30987"><td class="memItemLeft" align="right" valign="top"><a id="a0a2a15e9eb43aff0fec7e89a81c30987"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testExplicitlyDefaultedConstructorsAndDestructor</b> (self)</td></tr>
<tr class="separator:a0a2a15e9eb43aff0fec7e89a81c30987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e6c2d2de1e21e63672ebbb75676c45c"><td class="memItemLeft" align="right" valign="top"><a id="a4e6c2d2de1e21e63672ebbb75676c45c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testExplicitlyDeletedConstructorsAndDestructor</b> (self)</td></tr>
<tr class="separator:a4e6c2d2de1e21e63672ebbb75676c45c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b1501cf9517acbeb48d11e9d8992a9b"><td class="memItemLeft" align="right" valign="top"><a id="a2b1501cf9517acbeb48d11e9d8992a9b"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testSimpleOverrideMethod</b> (self)</td></tr>
<tr class="separator:a2b1501cf9517acbeb48d11e9d8992a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8cb9c2f99fa65c7d3fee054dde0e30d"><td class="memItemLeft" align="right" valign="top"><a id="ad8cb9c2f99fa65c7d3fee054dde0e30d"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testSimpleConstMethod</b> (self)</td></tr>
<tr class="separator:ad8cb9c2f99fa65c7d3fee054dde0e30d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db373bb8953d0523425b5a3f392e761"><td class="memItemLeft" align="right" valign="top"><a id="a4db373bb8953d0523425b5a3f392e761"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testExplicitVoid</b> (self)</td></tr>
<tr class="separator:a4db373bb8953d0523425b5a3f392e761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a184995b077a46f3408fa203cb0626614"><td class="memItemLeft" align="right" valign="top"><a id="a184995b077a46f3408fa203cb0626614"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testStrangeNewlineInParameter</b> (self)</td></tr>
<tr class="separator:a184995b077a46f3408fa203cb0626614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61abb614ad02a1fef3ece3813695c22a"><td class="memItemLeft" align="right" valign="top"><a id="a61abb614ad02a1fef3ece3813695c22a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testDefaultParameters</b> (self)</td></tr>
<tr class="separator:a61abb614ad02a1fef3ece3813695c22a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b91cc39a55385b8c4b97d804e80345"><td class="memItemLeft" align="right" valign="top"><a id="a41b91cc39a55385b8c4b97d804e80345"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testMultipleDefaultParameters</b> (self)</td></tr>
<tr class="separator:a41b91cc39a55385b8c4b97d804e80345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4cd80582937f053a363c24013488c8e"><td class="memItemLeft" align="right" valign="top"><a id="aa4cd80582937f053a363c24013488c8e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testMultipleSingleLineDefaultParameters</b> (self)</td></tr>
<tr class="separator:aa4cd80582937f053a363c24013488c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45e3b4e85f58b67541d6825fae2d0989"><td class="memItemLeft" align="right" valign="top"><a id="a45e3b4e85f58b67541d6825fae2d0989"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testConstDefaultParameter</b> (self)</td></tr>
<tr class="separator:a45e3b4e85f58b67541d6825fae2d0989"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0ce980b63a2b9fceb17d66656f870be"><td class="memItemLeft" align="right" valign="top"><a id="ae0ce980b63a2b9fceb17d66656f870be"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testConstRefDefaultParameter</b> (self)</td></tr>
<tr class="separator:ae0ce980b63a2b9fceb17d66656f870be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add445941c6503198f0c3a25e00d20b9f"><td class="memItemLeft" align="right" valign="top"><a id="add445941c6503198f0c3a25e00d20b9f"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testRemovesCommentsWhenDefaultsArePresent</b> (self)</td></tr>
<tr class="separator:add445941c6503198f0c3a25e00d20b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb9fce46de4ac1d2943b85e84ce14c83"><td class="memItemLeft" align="right" valign="top"><a id="abb9fce46de4ac1d2943b85e84ce14c83"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testDoubleSlashCommentsInParameterListAreRemoved</b> (self)</td></tr>
<tr class="separator:abb9fce46de4ac1d2943b85e84ce14c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa44c6ac675ce7454ff0f51164bde59e"><td class="memItemLeft" align="right" valign="top"><a id="afa44c6ac675ce7454ff0f51164bde59e"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testCStyleCommentsInParameterListAreNotRemoved</b> (self)</td></tr>
<tr class="separator:afa44c6ac675ce7454ff0f51164bde59e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade05313ccffe74f9eaa42fb66c14f702"><td class="memItemLeft" align="right" valign="top"><a id="ade05313ccffe74f9eaa42fb66c14f702"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testArgsOfTemplateTypes</b> (self)</td></tr>
<tr class="separator:ade05313ccffe74f9eaa42fb66c14f702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747b7b1b9da071eb8e1e2b84c7ee3614"><td class="memItemLeft" align="right" valign="top"><a id="a747b7b1b9da071eb8e1e2b84c7ee3614"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testReturnTypeWithOneTemplateArg</b> (self)</td></tr>
<tr class="separator:a747b7b1b9da071eb8e1e2b84c7ee3614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affdc748928d26be259345ed6a8753988"><td class="memItemLeft" align="right" valign="top"><a id="affdc748928d26be259345ed6a8753988"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testReturnTypeWithManyTemplateArgs</b> (self)</td></tr>
<tr class="separator:affdc748928d26be259345ed6a8753988"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964a1b55f2096edf7a6165734b1f0619"><td class="memItemLeft" align="right" valign="top"><a id="a964a1b55f2096edf7a6165734b1f0619"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testSimpleMethodInTemplatedClass</b> (self)</td></tr>
<tr class="separator:a964a1b55f2096edf7a6165734b1f0619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a2118fde4c59d2f8f402652e7aa8896"><td class="memItemLeft" align="right" valign="top"><a id="a6a2118fde4c59d2f8f402652e7aa8896"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPointerArgWithoutNames</b> (self)</td></tr>
<tr class="separator:a6a2118fde4c59d2f8f402652e7aa8896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af82b50cc3f5daee5f6650fff1323e30c"><td class="memItemLeft" align="right" valign="top"><a id="af82b50cc3f5daee5f6650fff1323e30c"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testReferenceArgWithoutNames</b> (self)</td></tr>
<tr class="separator:af82b50cc3f5daee5f6650fff1323e30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a544cd40e30b5dc3fbcf42385f0a54ad1"><td class="memItemLeft" align="right" valign="top"><a id="a544cd40e30b5dc3fbcf42385f0a54ad1"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testArrayArgWithoutNames</b> (self)</td></tr>
<tr class="separator:a544cd40e30b5dc3fbcf42385f0a54ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classcpp_1_1gmock__class__test_1_1TestCase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html">cpp.gmock_class_test.TestCase</a></td></tr>
<tr class="memitem:a68f88bba11511f8c582123d47bf80464 inherit pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html#a68f88bba11511f8c582123d47bf80464">assertEqualIgnoreLeadingWhitespace</a> (self, expected_lines, lines)</td></tr>
<tr class="separator:a68f88bba11511f8c582123d47bf80464 inherit pub_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac212bb9ec52673d1cbc3f4d3194abd46"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1GenerateMethodsTest.html#ac212bb9ec52673d1cbc3f4d3194abd46">GenerateMethodSource</a> (cpp_source)</td></tr>
<tr class="separator:ac212bb9ec52673d1cbc3f4d3194abd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html">cpp.gmock_class_test.TestCase</a></td></tr>
<tr class="memitem:a45ab688a4c3eb09df05804384d013d8a inherit pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1gmock__class__test_1_1TestCase.html#a45ab688a4c3eb09df05804384d013d8a">StripLeadingWhitespace</a> (lines)</td></tr>
<tr class="separator:a45ab688a4c3eb09df05804384d013d8a inherit pub_static_methods_classcpp_1_1gmock__class__test_1_1TestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac212bb9ec52673d1cbc3f4d3194abd46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac212bb9ec52673d1cbc3f4d3194abd46">&#9670;&nbsp;</a></span>GenerateMethodSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.gmock_class_test.GenerateMethodsTest.GenerateMethodSource </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cpp_source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">Convert C++ source to Google Mock output source lines.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock_class_test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>gmock_class_test</b></li><li class="navelem"><a class="el" href="classcpp_1_1gmock__class__test_1_1GenerateMethodsTest.html">GenerateMethodsTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
